低危 GNU binutils 2.31 libbfd syms.c _bfd_generic_read_minisymbols 拒绝服务漏洞

CVE编号

CVE-2018-20002

利用情况

暂无

补丁情况

官方补丁

披露时间

2018-12-10
漏洞描述
二进制文件描述符库(又名libbfd)中的syms.c中的_bfd_generic_read_minimymbol函数(在GNU Binutils 2.31中发布)通过一个精心制作的ELF文件发生了内存泄漏,导致了服务拒绝(内存消耗),nm已经证明了这一点。
解决建议
建议您更新当前系统或软件至最新版,完成漏洞的修复。
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 f5 traffix_signaling_delivery_controller * From
(including)
5.0.0
Up to
(including)
5.1.0
运行在以下环境
应用 f5 traffix_signaling_delivery_controller 4.4.0 -
运行在以下环境
应用 gnu binutils 2.31 -
运行在以下环境
应用 netapp vasa_provider * From
(including)
7.2
运行在以下环境
系统 alpine_3.10 binutils * Up to
(excluding)
2.32-r0
运行在以下环境
系统 alpine_3.11 binutils * Up to
(excluding)
2.32-r0
运行在以下环境
系统 alpine_3.12 binutils * Up to
(excluding)
2.32-r0
运行在以下环境
系统 alpine_3.13 binutils * Up to
(excluding)
2.32-r0
运行在以下环境
系统 alpine_3.14 binutils * Up to
(excluding)
2.32-r0
运行在以下环境
系统 alpine_3.15 binutils * Up to
(excluding)
2.32-r0
运行在以下环境
系统 alpine_edge binutils * Up to
(excluding)
2.32-r0
运行在以下环境
系统 debian_10 binutils * Up to
(excluding)
2.31.1-16
运行在以下环境
系统 debian_9 binutils * Up to
(excluding)
2.28-5
运行在以下环境
系统 ubuntu_16.04 binutils * Up to
(excluding)
2.26.1-1ubuntu1~16.04.8+esm1
运行在以下环境
系统 ubuntu_18.04 binutils * Up to
(excluding)
2.30-21ubuntu1~18.04.3
阿里云评分
2.9
  • 攻击路径
    本地
  • 攻击复杂度
    复杂
  • 权限要求
    无需权限
  • 影响范围
    有限影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    100
CWE-ID 漏洞类型
CWE-772 对已超过有效生命周期的资源丧失索引
阿里云安全产品覆盖情况